REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FaqArticle record by its Id.
{ "BusinessId": 123, "Title": "<string>", "SummaryText": "<string>", "FullText": "<string>", "ImageFileName": "<string>", "NewImageUrl": "<string>", "ClearImageFile": true, "LargeImageFileName": "<string>", "NewLargeImageUrl": "<string>", "ClearLargeImageFile": true, "Active": true, "GroupName": "<string>", "DisplayOrder": 123, "ShowInHomePage": true, "OnlyForContacts": true, "OnlyForMembers": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FaqArticle-Read
curl -X GET \ "https://spaces.nexudus.com/api/content/faqarticles/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "Title": "", "SummaryText": null, "FullText": null, "ImageFileName": null, "NewImageUrl": null, "ClearImageFile": null, "LargeImageFileName": null, "NewLargeImageUrl": null, "ClearLargeImageFile": null, "Active": false, "GroupName": null, "DisplayOrder": 0, "ShowInHomePage": false, "OnlyForContacts": false, "OnlyForMembers": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FaqArticle Example", "LocalizationDetails": null, "CustomFields": null }